﻿:root {
    --tr-color-primary: #003C71; /* color01/primary/blue */
    --tr-color-secondary: #B7BF10; /* color01/secondary/lime */

    /* Override some kendo variables */
    --kendo-font-family: Poppins;
}

hr {
    line-height: 1px;
    color: white;
    padding: 0px;
    margin: 1px;
    border-color: #e0e0e0 !important;
    border-style: solid;
    width: 100%;
}

.tr-primary {
    color: var(--tr-color-primary, inherit);
}

.tr-secondary {
    color: var(--tr-color-secondary, inherit);
}

.tr-icon-primary {
    color: var(--tr-color-primary, inherit);
}

.tr-icon-secondary {
    color: var(--tr-color-secondary, inherit);
}

.tr-icon-button-primary {
    color: #FFFFFF;
}

.tr-icon-button-error {
    background-color: #FFFFFF !important;
    color: #EF3340 !important;
    border-color: #EF3340 !important;
}

.tr-icon-button-tertiary {
    background-color: #FFFFFF !important;
    color: #000000 !important;
    box-shadow: 0px 1px 5px rgba(0, 0, 0, 0.12) !important;
    border-radius: 4px !important;
    border-color: grey !important;
    border: none !important;
}

.tr-action-item {
    cursor: pointer;
}

.tr-input {
    width: 160px;
}

.tr-input-dual {
    width: 95px;
}

.tr-d-none {
    display: none !important;
}

.error-ui {
    color: red;
    font-weight: bold;
}

#blazor-error-ui {
    display: none;
    padding: .75rem 1.25rem;
    position: fixed;
    width: 30vw;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 999999;
    color: #856404;
    background-color: #fff3cd;
}

    #blazor-error-ui > div {
        padding: 1rem 0 .3rem 0;
    }

    #blazor-error-ui .reload {
        padding: .5rem;
        color: #212529;
        background-color: #ffc107;
        text-decoration: none;
    }

a.navbar-brand {
  white-space: normal;
  text-align: center;
  word-break: break-all;
}

html, body {
    font-family: var(--kendo-font-family, inherit) !important;
    /*font-size: 14px;*/
}
/*@media (min-width: 768px) {
  html, body {
    font-size: 16px;
  }
}*/



.loading-progress {
    position: relative;
    display: block;
    width: 8rem;
    height: 8rem;
    margin: 20vh auto 1rem auto;
}

    .loading-progress circle {
        fill: none;
        stroke: var(--tr-color-primary, inherit);
        stroke-width: 0.6rem;
        transform-origin: 50% 50%;
        transform: rotate(-90deg);
    }

        .loading-progress circle:last-child {
            stroke: var(--tr-color-primary, inherit);
            stroke-dasharray: calc(3.141 * var(--blazor-load-percentage, 0%) * 0.8), 500%;
            transition: stroke-dasharray 0.05s ease-in-out;
        }

.loading-progress-text {
    position: absolute;
    text-align: center;
    font-weight: bold;
    inset: calc(20vh + 3.25rem) 0 auto 0.2rem;
}

    .loading-progress-text:after {
        content: var(--blazor-load-percentage-text, "");
    }

.disabled {
    pointer-events: none;
}

.border-top {
    border-top: 1px solid #e5e5e5;
}
.border-bottom {
  border-bottom: 1px solid #e5e5e5;
}

.box-shadow {
  box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05);
}

/* Material header styles
-------------------------------------------------- */
.header {
    background-color: white;
    border-bottom: 1px solid lightgray;
    padding-left: 12px;
    padding-right: 12px;
    font-weight: 700;
    background: #F5F5F5;
    display: flex;
    position: fixed;
    flex-direction: column;
    justify-content: space-between;
    box-sizing: border-box;
    top: 0;
    right: auto;
    left: 0;
    width: 100%;
}
    .header > div {
        height: 48px !important;
    }
.header-start {
    align-items: flex-end;
    justify-content: flex-start;
    order: -1;
}
.header-end {
    align-items: center;
    justify-content: flex-end;
    order: 1;
}
.header-title {
    font-size: 24px;
    margin-left: 8px;
}
.header-row {
    display: flex;
    position: relative;
    box-sizing: border-box;
    width: 100%;
}
.header-section {
    display: inline-flex;
    flex: 1 1 auto;
    align-items: center;
    min-width: 0;
    /*padding: 8px 12px;*/
    z-index: 1;
}
.main {
    /* Adjust for header */
    /*height: calc(100vh - 49px);*/
    height: calc(100vh - 60px);
    overflow-x: auto;
    /* Margin breaks some Telerik controls, e.g. DropDownList. Padding seems OK. */
    /*margin-top: 49px;*/
    /*padding-top: 49px;*/
}

.k-window-title .k-dialog-title .k-window-content .k-dialog-content {
    font-family: Poppins;
    font-size: 1.5rem;
    font-weight: 500;
    height: 30px;
}

k-window-content .k-dialog-content {
    font-size: 1rem;
    height: auto;
}

/* Material responsive styles
-------------------------------------------------- */

@media (min-width: 840px) {
    .mdc-layout-grid-hide-desktop {
        display: none;
    }
    .mdc-layout-grid-show-desktop {
        display: block;
    }
}

@media (min-width: 600px) and (max-width: 839px) {
    .mdc-layout-grid-hide-tablet {
        display: none;
    }
    .mdc-layout-grid-show-tablet {
        display: block;
    }
}

@media (max-width: 599px) {
    .mdc-layout-grid-hide-phone {
        display: none;
    }
    .mdc-layout-grid-show-phone {
        display: block;
    }
}

/* Sticky footer styles
-------------------------------------------------- */
/*html {
  position: relative;
  min-height: 100%;
}*/

/*body {*/
  /* Margin bottom by footer height */
  /*margin-bottom: 60px;
}
.footer {
  position: absolute;
  bottom: 0;
  width: 100%;
  white-space: nowrap;
  line-height: 60px;*/ /* Vertically center the text there */
/*}*/


/* Figma design styles
-------------------------------------------------- */

.tr-card-input-vertical-container {
    display: flex;
    flex-flow: column nowrap;
    align-items: stretch;
    /*gap: 8px;*/
}

.tr-fab {
    border-radius: 50px !important;
    height: 40px;
    min-width: 120px;
}

/* Telerik Additions
-------------------------------------------------- */

.grid-no-scroll .k-grid-content {
    overflow-y: auto;
}

.grid-no-scroll .k-grid-header,
.grid-no-scroll .k-grid-footer {
    padding-right: 0; /* version 2.26 and older requires !important here */
}

.grid-no-scroll .k-grid-header-wrap,
.grid-no-scroll .k-grid-footer-wrap {
    border-right-width: 0;
}

.flock-card {
    padding: 16px;
    background: white;
    border: 2px solid #dddddd;
    box-shadow: 0px 2px 4px rgba(0, 0, 0, 0.15);
    margin-block: 8px;
    border-radius: 8px;
    overflow: hidden;
    justify-content: space-between;
    align-items: center;
    display: inline-flex my-3;
}